using FluentValidation;

namespace Indotalent.Features.Purchase.GoodsReceive.Cqrs;

public class CreateGoodsReceiveValidator : AbstractValidator<CreateGoodsReceiveRequest>
{
    public CreateGoodsReceiveValidator()
    {
        RuleFor(x => x.ReceiveDate).NotEmpty().WithMessage("Date is required");
        RuleFor(x => x.PurchaseOrderId).NotEmpty().WithMessage("Purchase Order is required");
    }
}